Description

Drag 2 actors to the canvas and join them with a relation. Copy the actors and relation and immediately paste it. The relation width
changes from Auto to 1. This is only a problem when the relation joins 2 multiports, but that will happen when a composite actor has
a multiport.

This could be a ptolemy problem.

History

#1 - 02/17/2010 03:34 PM - Christopher Brooks

| can replicate this in Ptolemy

1. Right click on the relation and select "Configure". Note that the width is
set to "Auto”

2. Select the two composite actors (that have multiports) and the relation.
3. Copy and Paste

4. Right click on the new relation, select "Configure”. Note that the width
is setto "1".

#2 - 02/18/2010 03:48 PM - Oliver Soong

I'm not 100% sure this is the same bug, but if | delete the actors and relation, then undo the change, the relation width again gets set to 1.

#3 - 03/24/2010 04:57 PM - Christopher Brooks

Fixed!

The problem was that the RelationWidthChanges filter would set the width to 1
instead of the width remaining Auto (-1). This was because the pasted MoML
had no _createdBy attribute. This change might not be entirely safe, but it
seems safer than the alternative, which is that copy and paste changes

the width from Auto to 1.

#4 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4804

Files

CopySetsRelationWidthTo1.xml 3.1 KB 02/17/2010 Christopher Brooks
